package com.flyfish.framework.r2dbc.domain;

import com.flyfish.framework.annotations.relation.Association;
import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.r2dbc.domain.reference.TestAsso;
import com.flyfish.framework.r2dbc.domain.reference.TestChild;
import com.flyfish.framework.r2dbc.domain.reference.TestOther;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.List;

@Table("test")
@Data
public class TestDO extends AuditDomain {

    @Column("other_id")
    private String otherId;

    @Association(field = "otherId")
    private TestAsso asso;

    @Association(foreignField = "testId")
    private TestOther other;

    @Association(foreignField = "parentId")
    private List<TestChild> children;
}
